## planner 0.14.4

=== debian/changelog ===
planner (0.14.4-4) unstable; urgency=low

  * Fix planner using python2.6/site-packages with Python  (Closes: #534586)
    Thanks for Jakub Wilk <jwilk@debian.org> patch.

 -- Xavier Oswald <xoswald@debian.org>  Mon, 12 Apr 2010 12:43:18 +0200

planner (0.14.4-3) unstable; urgency=low

  * Fix python2.6 changes site-package to dist-package (Closes: #534586)

 -- Xavier Oswald <xoswald@debian.org>  Tue, 02 Mar 2010 23:16:29 +0100

planner (0.14.4-2) unstable; urgency=low

  * Remove database support 
    - Fix FTBFS due to nonexistent build-dependency on libgda3-dev 
    (Closes: #564386, #544397)
    - Fix replace option --enable-database to --with-database (Closes: #552737)
    Current planner doesn't support libgda4
  * Fix Remove libgnomeprintui2.2-dev from Build-Depends (Closes: #544395)
  * Fix python2.6 changes site-package to dist-package (Closes: #534586)
  * Bump Standards-Version to 3.8.4 
  * Update debian/copyright
  * Switch to dpkg-source 3.0 (quilt) format

 -- Xavier Oswald <xoswald@debian.org>  Fri, 19 Feb 2010 20:33:08 +0100

planner (0.14.4-1) unstable; urgency=low

  * New upstream release
  * New maintainer is me
  * Update debian/compat to 7
  * debian/control:
    - Remove DM flag
    + Update debhelper to 7
    + Update Standards-Version to 3.8.1
  * Update debian/copyright
  * Fix lintian warnings:
    W: planner: command-with-path-in-maintainer-script postrm:38
    /usr/bin/update-mime-database
    W: planner: command-with-path-in-maintainer-script postinst:33
    /usr/bin/update-mime-database
    W: planner: desktop-mimetype-without-update-call
    /usr/share/applications/planner.desktop
  * Fix FTBFS in unstable(Closes: #516747) fixed upstream
  * Fix Single quotes problems with databases	(Closes: #227251) fixed upstream

 -- Xavier Oswald <xoswald@debian.org>  Wed, 22 Apr 2009 23:05:52 +0200

planner (0.14.3-3) unstable; urgency=low

  * Change maintainer (Closes:#472471)
  * Update Standards-Version to 3.8.0 
  * Add Homepage field
  * Add DM-Upload-Allowed flag
  * Clean debian/rules

 -- Xavier Oswald <x.oswald@free.fr>  Thu, 03 Jul 2008 12:12:46 +0200

planner (0.14.3-2) unstable; urgency=low

  * "The great Lintian review à la mhatta"; fixed the following issues:
    W: copyright-without-copyright-notice
    W: package-name-doesnt-match-sonames libplanner-1-0
    W: menu-item-contains-unknown-tag kderemove /usr/share/menu/planner:5
    W: package-contains-empty-directory usr/share/gtk-doc/html/libplanner/
    E: menu-icon-not-in-xpm-format /usr/share/pixmaps/gnome-planner.png

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 18 Apr 2008 12:22:07 +0300

planner (0.14.3-1) unstable; urgency=low

  * New upstream release.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 17 Apr 2008 00:14:44 +0300

planner (0.14.2-5) unstable; urgency=medium

  * Fixed FTBFS caused by libgda2 removal (Closes: #455497, #455843).
      See also: Launchpad:182941.
  * Updated the Suggests to libgda3 SQL support packages.
  * Upgraded Build-Depends to libgda3-dev.
  * Demoted SQL support packages to Suggests (Closes: #463412).
  * Upgraded to Standards-Version 3.7.3:
    Debian menu relocated to Applications/Project Management.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 16 Feb 2008 23:52:57 +0200

planner (0.14.2-4) unstable; urgency=low

  * Merged the following Ubuntu patches:
    - debian/patches/01_mimetype_subclass_xml.patch (Launchpad #41772).
    - add libxslt1-dev Build-Depends.
    This closes the delta between Debian and Ubuntu.  However, we're
    NOT droping database support until Ubuntu explains the rationale.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 24 Aug 2007 12:04:57 +0300

planner (0.14.2-3) unstable; urgency=low

  * Inverted Maintainer and Uploaders; team pkg-gnome is now Maintainer.
  * Added missing Build-Depends and thightened up others to reflect the
    dependencies stated in the upstream README.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat,  2 Jun 2007 13:42:49 +0300

planner (0.14.2-2) unstable; urgency=low

  * FTBFS: added missing DEB_PYTHON_SYSTEM variable (Closes: #405014):
    - Bumped Build-Depends on python-support to (>= 0.3.2).
    - Bumped Build-Depends on python-dev to (>= 2.3.5-11).

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 30 Dec 2006 13:54:34 +0200

planner (0.14.2-1) unstable; urgency=low

  * New upstream release:
    - GNOME bug #353213: added #ifdefs to build against libgda 1 or 2.
    - GNOME bug #353232: fix Nautilus behavior on a Planner file.
    - GNOME bug #358415: fix crash in Gantt view.
    - GNOME bug #368186: paint guide lines behind project start date.
    - Added -Wno-return-type for compiling with database support.
    - Added Arabic localisation.
  * Dropping 0.14.1-0ubuntu1 patches (replaced by upstream #ifdefs).

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 28 Nov 2006 15:23:57 +0200

planner (0.14.1-2) unstable; urgency=low

  * Added the Debian GNOME Team as Uploaders:
    - Build-Depends on gnome-pkg-tools in debian/control.
    - Includes the Makefile fragment in debian/rules.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 20 Oct 2006 19:16:30 +0300

planner (0.14.1-1) unstable; urgency=low

  * New upstream release:
    - Fixed compile with libgda 1.3.91.
    - Corrected build of translated user guides.
    - Added man page contributed by Martin-Éric Racine.
    - Improved README: updated to reflect the current release.
    - src/planner-gantt-row.c:  patch to fix segv on scrolling.
    - src/planner-format.c:  fix NULL pointer deref.
    - po/POTFILES.in:  added missing files.

  [ Daniel Holbach ]
  * debian/patches/09-change-libgda-2.0-to-libgda.patch:
    - Revert upstream libgda bump:  we build with stable libgda.
  * debian/patches/20-run-autoconf.patch:
    - Run autoconf.

  [ Martin-Éric Racine ]
  * Merged patches from 0.14.1-0ubuntu1.
  * Updated planner.manpages to install upstream manual.
  * Deleted Debian man page (merged upstream).



=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pysupport
DEB_PYTHON_INSTALL_ARGS_ALL += --install-layout=deb

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/class/python-module.mk
DEB_CONFIGURE_EXTRA_FLAGS += --disable-update-mimedb --enable-python-plugin --bindir="\$${prefix}/bin"
DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"

common-binary-post-install-arch common-binary-post-install-indep:: list-missing
	rm -rf debian/planner/usr/share/gtk-doc
	cp debian/planner.lintian debian/planner/usr/share/lintian/overrides/planner

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/planner/([\d\.]+)/planner-([\d\.]+)\.tar\.gz \
	debian uupdate --no-symlink

## planner 0.14.5

=== debian/changelog ===
planner (0.14.5-1ubuntu3) precise; urgency=low

  * debian/planner.install: Correctly install the .desktop file (LP: #955146)

 -- David Futcher <bobbo@ubuntu.com>  Wed, 14 Mar 2012 16:51:01 +0000

planner (0.14.5-1ubuntu2) precise; urgency=low

  * debian/control: updated replaces version (lp: #944274)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Mar 2012 22:36:11 +0100

planner (0.14.5-1ubuntu1) precise; urgency=low

  * fix-as-needed-build.patch (LP: #935367)
    fix ftbs with ld --as-needed by ordering libraries correctly

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 29 Feb 2012 19:23:45 +0100

planner (0.14.5-1) unstable; urgency=low

  * New upstream release (Closes: #635483)
    + Fixes FTBFS -format not a string literal and no format arguments-
      (Closes: #643458)
  * New maintainers, thanks to Xavier Oswald for his previous work.
    (Closes: #632993)
  * debian/rules
    + The package is using debhelper 8 now
    + Use gtk-doc to build documentation
    + "--with autoreconf" added (Closes: #558617)
  * debian/control
    - cdbs removed from Build-Depends
    - libgnomevfs2-dev removed from Build-Depends because it is not needed
      anymore (Thanks to Didier Roche for the tip).
    - dpkg-dev removed from Build-Depends, because it is not needed
      anymore, since Etch (to have a binNMU safe package).
    + debhelper added to Build-Depends
    + Standards-Version updated to 3.9.2 (no changes needed)
    + Private library/plugins excluded in the call to dh_makeshlibs
    + Minor improvements to the description of planner and planner-dev
    + Package split into planner, planner-data and planner-doc (plus the
      previous binary package planner-dev)
    + VCS fields added
    + Added X-Python-Version field (and rebuild with python 2.7 as the
      python default) (Closes: #644679)
    + libgtk2.0-dev's version updated to >= 2.14.0 in Build-Depends (see the
      upstream's README)
  * Use dh_python2 instead of python-support
    - debian/pyversions and debian/pycompat dropped
    - debian/rules python-support removed from Build-Depends and from
      Depends of the -dev package
    - debian/control python-dev version bumped to 2.6.6-3~
  * debian-changes-0.14.4-3 dropped because it was created due to the
    presence of the auto-generated file config.status.lineno
  * dependant_typo.diff patch added in order to fix a typo
  * debian/copyright
    + The file was rewritten in order to use DEP-5.
    + The copyright multiple files was added.
    + The FSF address was updated (bug known upstream as #664112)
  * libplanner-1.so* files moved to /usr/lib/planner/ in order to comply
    with the Debian Debian Policy 10.2 which states that not public
    libraries should be installed in subdirectories of /usr/lib
    + debian/rules --libdir parameter added to the call to dh_auto_configure.
    + plugins_directory.diff patch added in order to keep the *-modules and
      plugins directories in the right place (due to the use of "--libdir").
    + debian/control dh-autoreconf added to the Build-Depends field.
  * Lintian override for package-name-doesnt-match-sonames dropped
    - debian/planner.dirs dropped because this was here in order to install
      the override
  * AUTHORS and README files dropped because the information is already
    available in the package.
  * command_line_args.diff patch added in order to make planner able to
    read files from command line again.

  [Dmitry Smirnov] <onlyjob@member.fsf.org>
  * including examples (*.planner files)
  * debian/control
    - removed unused build-dep: autotools-dev
    + tighter build-deps on python-gtk2-dev (>= 2.24)
    + tighter build-deps on intltool (>= 0.41.1-3) due to bug #560704
  * debian/rules to use dpkg-provided build flags

 -- Wences Arana <aranax@debian.org.gt>  Sat, 23 Jul 2011 16:21:36 -0600

=== debian/control ===
Source: planner
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Wences Arana <aranax@debian.org.gt>
Uploaders: Josue Abarca <jmaslibre@debian.org.gt>, Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 8),
  libncurses5-dev, libtool, 
  libxslt1-dev (>= 1.1.23), libxml2-dev (>= 2.6.27), 
  libglade2-dev (>=2.3), libgconf2-dev (>= 2.10), 
  libgnomecanvas2-dev (>= 2.10), libgnomeui-dev (>= 2.10),
  libglib2.0-dev (>= 2.6), libgtk2.0-dev (>= 2.14.0), 
  python-gtk2-dev (>= 2.24), python-dev (>= 2.6.6-3~),
  desktop-file-utils, gnome-pkg-tools, gtk-doc-tools, intltool (>= 0.41.1-3), scrollkeeper,
  dh-autoreconf, libgsf-gnome-1-dev
Standards-Version: 3.9.2
Homepage: http://live.gnome.org/Planner
Vcs-Git: git://anonscm.debian.org/collab-maint/planner.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/planner.git

Package: planner
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, planner-data (= ${source:Version}), scrollkeeper, shared-mime-info
Recommends: planner-doc
X-Python-Version: >= 2.6 
Description: project management application
 Planner is a Project Management application that supports Gantt charts,
 resource allocation and integration with other GNOME applications.
 .
 Planner was formerly known as Mr.Project.

Package: planner-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, planner (= ${binary:Version}), 
  libncurses5-dev, libtool, 
  libxslt1-dev (>= 1.1), libxml2-dev (>= 2.6), 
  libglade2-dev (>=2.3), libgconf2-dev (>= 2.10), 
  libgnomecanvas2-dev (>= 2.10), libgnomeui-dev (>= 2.10), 
  libgnomevfs2-dev (>= 2.10),	libgsf-gnome-1-dev, 
  libglib2.0-dev (>= 2.6), libgtk2.0-dev (>= 2.14.0), 
  python-gtk2-dev (>= 2.6), python-dev (>= 2.6.6-3),
  desktop-file-utils, gnome-pkg-tools, gtk-doc-tools, intltool, scrollkeeper
Suggests: planner-doc (= ${source:Version})
Description: Planner development library
 Planner is an application to manage projects on the GNOME desktop.
 .
 This package is required to build plug-ins for Planner. Includes headers and 
 dynamic libraries links.

Package: planner-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: planner
Replaces: planner (<< 0.14.5-1)
Breaks: planner (<< 0.14.4)
Description: Documentation for planner
 Planner is a Project Management application that supports Gantt charts,
 resource allocation and integration with other GNOME applications.
 .
 This package contains the html documentation for planner.

Package: planner-data
Architecture: all
Depends: ${misc:Depends}
Replaces: planner (<< 0.14.5-1)
Breaks: planner (<< 0.14.4)
Description: Data files for planner
 Planner is a Project Management application that supports Gantt charts,
 resource allocation and integration with other GNOME applications.
 .
 This package contains data files for planner like images, icons, and 
 arch-independent files.

=== debian/rules ===
#!/usr/bin/make -f

# see http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html
# Also it does hardening by default, see http://wiki.debian.org/Hardening
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-update-mimedb --enable-python-plugin --enable-gtk-doc --libdir=/usr/lib/planner/ --disable-schemas-install

override_dh_makeshlibs:
	dh_makeshlibs -Xlibmsp -Xlibhtml -Xlibpython -Xplannerui.so -Xplanner -Xlibmrp -Xlibstorage-mrproject -Xlibxmlplanner
override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_compress:
	dh_compress --exclude=.planner

override_dh_autoreconf:
	dh_autoreconf --as-needed

## planner 0.14.6

=== debian/changelog ===
planner (0.14.6-4) unstable; urgency=medium

  * Updated "fix-as-needed-build.patch" to add "-lm" to build
    since some sources use "floor()" and therefore need "-lm".
    (Closes: #705127, #750086). Thanks, Sebastien Bacher.
  * Standards-Version to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 02 Jul 2014 19:49:41 +1000

planner (0.14.6-3) unstable; urgency=low

  * Renamed "libgsf-gnome-1-dev" --> "libgsf-1-dev" in Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 27 May 2013 21:34:34 +1000

planner (0.14.6-2) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * debian/planner.install: Install desktop file (Closes: #665956).

  [ Wences Arana ]
  * Enable full Hardening through B-D on "dpkg-dev (>= 1.16.1~)"
    and "DEB_BUILD_MAINT_OPTIONS=hardening=+all".

  [ Dmitry Smirnov ]
  * Recommend 'scrollkeeper' but not Depends on it (Closes: #677325).
  * Removed parallel build defaults (Closes: #665861).
  * New backported patch to fix crash on print preview (Closes: #704171).
  * New patch to validate desktop file.
  * Added "planner.mime" to provide mailcap MIME entry.
  * Expanded and alphabetised list of Build-Depends.
  * Removed unnecessary versioned (Build-)Depends.
  * Relocated "X-Python-Version: >= 2.6" (source package property).
  * Standards to 3.9.4
  * dh/compat to version 9
  * Enabled verbose build with "--disable-silent-rules".
  * Dropped post(inst|rm) files:
    - Removed "update-desktop-database" hook, it is done automatically
      by trigger in desktop-file-utils
    - Removed "update-mime-database" hook and replaced it by symlink
      to sharedmimeinfo file in upstream source so dh_installmime will
      generate update-mime hooks automatically and for the right binary
      package (Closes: #689405).
  * xz compression for .deb files.
  * Updated my email address, bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 17 May 2013 09:26:21 +1000

planner (0.14.6-1) unstable; urgency=medium

  * New upstream release
  * added patch for --as-needed issue, thanks to Julian Taylor
    (Closes: #656795 "FTBFS with ld --as-needed")
  * debian/control:
    + corrected planner version in Breaks/Replaces
      (Closes: #657419 "fails to upgrade from squeeze...")
    + recalculated planner-dev Depends
    - removed ${shlibs:Depends} and ${python:Depends} from -dev Depends
    + standards to 3.9.3
  * debian/rules:
    + parallel build by default on linux
    + added --as-needed to LDFLAGS
  * debian/copyright:
    + updated DEP-5 format URL
    + added myself as conbtributor
  * dependant_typo patch is updated

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 08 Mar 2012 01:30:02 +1100

=== debian/control ===
Source: planner
Section: gnome
Priority: optional
Maintainer: Wences Arana <aranax@debian.org.gt>
Uploaders: Josue Abarca <jmaslibre@debian.org.gt>, Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, dpkg-dev (>= 1.16.1~),
 desktop-file-utils,
 gnome-pkg-tools,
 gtk-doc-tools,
 intltool (>= 0.41.1-3),
 libncurses5-dev,
 libtool,
 libxslt1-dev,
 libxml2-dev,
 libglade2-dev,
 libgconf2-dev,
 libgnomecanvas2-dev,
 libgnomeui-dev,
 libglib2.0-dev,
 libgsf-1-dev,
 libgtk2.0-dev,
 python-gtk2-dev (>= 2.24),
 python-dev,
 scrollkeeper
X-Python-Version: >= 2.6
Standards-Version: 3.9.5
Homepage: http://live.gnome.org/Planner
Vcs-Git: git://anonscm.debian.org/collab-maint/planner.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/planner.git

Package: planner
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, planner-data (= ${source:Version}), shared-mime-info
Recommends: planner-doc, scrollkeeper
Description: project management application
 Planner is a Project Management application that supports Gantt charts,
 resource allocation and integration with other GNOME applications.
 .
 Planner was formerly known as Mr.Project.

Package: planner-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, planner (= ${binary:Version}),
 libglib2.0-dev, libxml2-dev, libgsf-1-dev
Suggests: planner-doc (= ${source:Version})
Description: Planner development library
 Planner is an application to manage projects on the GNOME desktop.
 .
 This package is required to build plug-ins for Planner. Includes headers and
 dynamic libraries links.

Package: planner-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: planner
Replaces: planner (<< 0.14.5)
Breaks: planner (<< 0.14.5)
Description: Documentation for planner
 Planner is a Project Management application that supports Gantt charts,
 resource allocation and integration with other GNOME applications.
 .
 This package contains the html documentation for planner.

Package: planner-data
Architecture: all
Depends: ${misc:Depends}
Replaces: planner (<< 0.14.5)
Breaks: planner (<< 0.14.5)
Description: Data files for planner
 Planner is a Project Management application that supports Gantt charts,
 resource allocation and integration with other GNOME applications.
 .
 This package contains data files for planner like images, icons, and
 arch-independent files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS+= -Wl,--as-needed

%:
	dh $@ --parallel --with python2,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
            --libdir=/usr/lib/planner/ \
            --disable-silent-rules \
            --disable-schemas-install \
            --disable-update-mimedb \
            --enable-gtk-doc \
            --enable-python-plugin

override_dh_makeshlibs:
	dh_makeshlibs -Xlibmsp -Xlibhtml -Xlibpython -Xplannerui.so -Xplanner -Xlibmrp -Xlibstorage-mrproject -Xlibxmlplanner

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_compress:
	dh_compress --exclude=.planner

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/planner/([\d\.]+)/planner-([\d\.]+)\.tar\.xz \
	debian uupdate --no-symlink

## planner 0.14.91

=== meson_options.txt ===
option('database-gda',
  type: 'feature',
  value: 'auto',
  description: 'Enable PostgreSQL database support (experimental)',
)
option('eds',
  type: 'feature',
  value: 'disabled',
  description: 'Build evolution-data-server import plugin (experimental)',
)
option('examples',
  type: 'boolean',
  value: false,
  description: 'Install sample project files',
)
option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'Build private API reference with gtk-doc',
)
option('simple-priority-scheduling',
  type: 'boolean',
  value: false,
  description: 'Enable simple priority scheduling in tasks management (experimental)',
)

=== debian/changelog ===
planner (0.14.91-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:19:20 +1100

planner (0.14.91-3build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:28:43 +0000

planner (0.14.91-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:40:30 +0000

planner (0.14.91-3) unstable; urgency=medium

  * QA upload
  * Drop Depends: gir1.2-gtk-2.0 (Closes: #1049936)

 -- Bastian Germann <bage@debian.org>  Thu, 24 Aug 2023 21:59:26 +0000

planner (0.14.91-2) unstable; urgency=medium

  * QA upload
  * Move /usr/share data to -data package (Closes: #1027836)

 -- Bastian Germann <bage@debian.org>  Mon, 09 Jan 2023 14:33:11 +0100

planner (0.14.91-1) unstable; urgency=medium

  * QA upload
  * New upstream release, dropping all patches (upstream or autotools-related,
    Closes: #967882, #967704)
  * Build with meson
  * Drop planner-dev package

 -- Bastian Germann <bage@debian.org>  Sun, 01 Jan 2023 18:59:47 +0100

planner (0.14.6-9) unstable; urgency=medium

  * QA upload
  * Fix build with Python 3.8

 -- Graham Inggs <ginggs@debian.org>  Tue, 10 Mar 2020 11:25:31 +0000

planner (0.14.6-8) unstable; urgency=medium

  * QA upload.
  * debian/patches/gsettings-port.patch: Remove GConf migration code.
  * debian/patches/glibc-2.29.patch: New; fix GTK critical errors with
    glibc/2.29.
  * debian/patches/python3.patch: New; port to Python 3 and PyGI
    (Closes: #937299).
  * debian/patches/series: Update.
  * debian/compat: Bump to 12.
  * debian/control: Run wrap-and-sort -ast.
    (Build-Depends): Remove desktop-file-utils, dh-python, gnome-pkg-tools
    and libncurses5-dev; unnecessary.  Require debhelper >= 12.  Replace
    python-gtk2-dev and python-dev with python-gi-dev and python3-dev.
    (Depends): Remove ${python:Depends}, add python3-gi and
    gir1.2-gtk-2.0.
    (Recommends): Remove gconf2.
    (planner-doc) <Multi-Arch>: Set to "foreign".
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Bump to 4.4.1; no changes needed.
  * debian/python-demo.py: Add an example script from upstream's
    repository, modified for Python 3 and the dynamic bindings.
  * debian/planner-doc.examples: Add debian/python-demo.py.
  * debian/planner-data.install: Remove usr/share/GConf.
  * debian/planner.install: Remove Python extensions, add *.typelib.
  * debian/rules: Remove --with python2 argument to dh.
    (LDFLAGS): Remove; not needed with GCC 9.
    (override_dh_makeshlibs): Remove the python extensions.
    (override_dh_autoreconf): Remove override; unnecessary.
  * debian/NEWS: New file; warn users about incompatibility woes.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 07 Oct 2019 00:30:07 +0300

planner (0.14.6-7) unstable; urgency=medium

  * QA upload.
  * debian/patches/python-plugin-crash.patch: New; fix python plugin crash
    when executing python scripts (Closes: #584832).
  * debian/patches/no-scrollkeeper.patch: New; eliminate scrollkeeper
    dependency (Closes: #885113).
  * debian/patches/no-libgnomeui.patch: New; eliminate libgnomeui
    dependency.  It is only needed by the SQL plugin which is not built
    anyway as it needs porting to libgda5.  This should allow the package
    to migrate to testing (Closes: #888857).
  * debian/patches/document-help-option.patch: New (Closes: #675794).
  * debian/patches/pkg-config-detection.patch: New; use
    PKG_PROG_PKG_CONFIG to detect pkg-config.
  * debian/patches/gsettings-port.patch: New; move away from GConf.
  * debian/patches/series: Update.
  * debian/compat: Set to 11.
  * debian/control (Build-Depends): Bump debhelper requirement to match
    the compat level.  Remove dh-autoreconf, dpkg-dev, scrollkeeper,
    libgnomeui-dev and libgconf2-dev.  Remove python-gtk2-dev and
    intltool version requirements; satisfied even in oldstable.
    (Recommends): Remove scrollkeeper; add gconf2 for data migration.
    (Breaks, Replaces): Remove; obsolete.
    (Vcs-Git, Vcs-Browser): Remove as the repository is gone.
    (Standards-Version): Bump to 4.2.1; no changes needed.
  * debian/rules: Remove --parallel and --with autoreconf.
    (override_dh_auto_configure): Drop --disable-schemas-install.
    (override_dh_builddeb): Remove override as advised by lintian.
  * debian/planner.install: Remove /etc; nothing to install there.
  * debian/planner-data.install: Remove usr/share/omf; add usr/share/GConf
    and usr/share/glib-2.0.
  * debian/watch: Use https.
  * debian/copyright: Add missing short license.  Add myself.
  * debian/changelog: Strip trailing whitespace.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 20 Oct 2018 15:05:33 +0300

planner (0.14.6-6) unstable; urgency=high

  * QA upload.
  * Set maintainer to Debian QA Group. (see #892919)
  * Fix the build with gtk-doc-tools >= 1.26. (Closes: #876577)
  * Add the missing build dependency on dh-python.

 -- Adrian Bunk <bunk@debian.org>  Sun, 24 Jun 2018 21:00:35 +0300

planner (0.14.6-5) unstable; urgency=medium

  * New patch to fix FTBFS (Closes: #819839).
    Thanks, Adrian Bunk.
  * Modernised Vcs URLs.
  * Standards-Version: 3.9.8.
  * Removed .menu file.
  * Consolidated GPL-2+ paragrapsh in "copyright" file.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 29 Aug 2016 01:47:05 +1000

=== debian/control ===
Source: planner
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 meson,
 gtk-doc-tools,
 libgail-3-dev,
 libgda-5.0-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgsf-1-dev,
 libxml2-dev,
 libxslt1-dev,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://wiki.gnome.org/action/show/Apps/Planner

Package: planner
Architecture: any
Depends:
 planner-data (= ${source:Version}),
 python3-gi,
 shared-mime-info,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 planner-doc,
Description: project management application
 Planner is a Project Management application that supports Gantt charts,
 resource allocation and integration with other GNOME applications.
 .
 Planner was formerly known as Mr.Project.

Package: planner-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 planner,
Description: Documentation for planner
 Planner is a Project Management application that supports Gantt charts,
 resource allocation and integration with other GNOME applications.
 .
 This package contains the html documentation for planner.

Package: planner-data
Architecture: all
Depends:
 ${misc:Depends},
Description: Data files for planner
 Planner is a Project Management application that supports Gantt charts,
 resource allocation and integration with other GNOME applications.
 .
 This package contains data files for planner like images, icons, and
 arch-independent files.

=== debian/watch ===
version=3
https://ftp.gnome.org/pub/GNOME/sources/planner/([\d\.]+)/planner-([\d\.]+)\.tar\.xz \
	debian uupdate --no-symlink

## planner 0.14.92

=== debian/changelog ===
planner (0.14.92-1.1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 10:23:56 +0200

planner (0.14.92-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix homepage URL in d/control (Closes: #1103974)

 -- Kiran S Kunjumon <kiran@disroot.org>  Sat, 03 May 2025 07:53:32 +0000

planner (0.14.92-1) unstable; urgency=medium

  * New upstream version 0.14.92
  * New Maintainer (Closes: #892919)
  * d/control:
    - Bump Standards-Version to 4.6.2
    - Bump debhelper-compat version to 13
    - Add new maintainer's name to maintainer field
    - Add VCS information
  * d/copyright:
    - Change source url to use https
    - Add new authors' copyright details
    - Update copyright years
    - Add new maintainer to copyright field
    - Add Upstream-Contact details
  * d/watch:
    - Bump watch version to 4
  * Add d/upstream/metadata
  * Add libplanner-*.so symlink to not-installed
  * Add usr/share/GConf to planner-data.install
  * Add planner.lintian-overrides (unnecessary ldconfig activation)
  * Add planner-data.lintian-overrides (missing desktop command)

  [Helmut Grohne]
  * d/rules: Fix FTCBFS, skip gtkdoc in arch-only build (Closes: #1062785)

  [Marriott NZ]
  * d/planner.mime: Remove quoted placeholder from mailcap entry. Fixes
    lintian warning (Closes: #987406)

 -- Shriram Ravindranathan <s20n@ters.dev>  Wed, 28 Feb 2024 14:18:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: planner
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Shriram Ravindranathan <s20n@ters.dev>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  meson,
  gtk-doc-tools,
  libgail-3-dev,
@@ -15,8 +14,10 @@
  libxml2-dev,
  libxslt1-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
-Homepage: https://wiki.gnome.org/action/show/Apps/Planner
+Standards-Version: 4.6.2
+Homepage: https://wiki.gnome.org/Apps/Planner 
+Vcs-Browser: https://salsa.debian.org/debian/planner
+Vcs-Git: https://salsa.debian.org/debian/planner.git
 
 Package: planner
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=$(if $(filter planner-doc,$(shell dh_listpackages)),true,false)

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/planner/usr/lib/$(DEB_HOST_MULTIARCH)/planner

override_dh_compress:
	dh_compress --exclude=.planner
